%define module	Mail-GnuPG
%define name	perl-%{module}
%define version	0.08
%define release	1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Process email with GPG
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/R/RS/RSPIER/%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRequires:	perl-devel
BuildRequires:	perl-GnuPG-Interface
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-root

%description
Use GnuPG::Interface to process or create PGP signed or encrypted email.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%make test

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Mail
%{_mandir}/*/*

%changelog
* Wed Aug 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.08-1mdk 
- first mdk release
